Package com.mockobjects.jms

# Class MockQueue

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockQueue

All Implemented Interfaces:
  `Verifiable`

Direct Known Subclasses:
  `MockTemporaryQueue`

public class MockQueue extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockQueue()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getQueueName()`
`void`
`setupGetQueueName(String name)`
`void`
`setupThrowException(JMSException e)`
`String`
`toString()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MockQueue

public MockQueue()

## Method Details

### getQueueName

public String getQueueName() throws JMSException

Throws:
  `JMSException`

### setupGetQueueName

public void setupGetQueueName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setupThrowException

public void setupThrowException(JMSException e)